Subject: bug#36453: [PATCH] Delegate to rectangle version in delim-col when appropriate

From: Stefan Kangas <[email-masked]>
Date: Mon, 1 Jul 2019 01:40:24 +0200

Forwarding this from emacs-devel so it doesn't get lost.

Thanks,
Stefan Kangas

---------- Forwarded message ---------
From: Stefan Kangas <[email-masked]>
Date: tors 30 maj 2019 kl 20:20
Subject: Re: [PATCH] Unit tests and lexical-binding for delim-col.el

Basil L. Contovounesios <[email-masked]> writes:
> > Stefan Monnier <[email-masked]> writes:
> >> BTW, it would be nice to make it so that delimit-columns-region
> >> delegates to delimit-columns-rectangle when called with a rectangular
> >> region (i.e. using rectangle-mark-mode).
> >
> > Good idea.  How about the second patch attached here?

> I'm personally fine with this, but I think NEWS entries usually comprise
> a summary on the first line, followed by an elaboration in the body.
> I'm not very good at writing these, but here's one way to do that:
>
> Here's another possibility to reuse an existing NEWS entry under
> "Editing Changes":

Good thinking.  I think the version where we bundle this with other changes is
better.  But I would suggest to skip the implementation details.  See attached
patch.

Thanks,
Stefan Kangas